PartitionIterators (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.db.partitions

## Class PartitionIterators

- java.lang.Object
- - org.apache.cassandra.db.partitions.PartitionIterators

-     public abstract class PartitionIterators
      extends java.lang.Object

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PartitionIterator` | `concat(java.util.List<PartitionIterator> iterators)`
    `static void` | `consume(PartitionIterator iterator)`
    `static RowIterator` | `getOnlyElement(PartitionIterator iter, SinglePartitionReadCommand command)`
    `static PartitionIterator` | `loggingIterator(PartitionIterator iterator, java.lang.String id)` Wraps the provided iterator so it logs the returned rows for debugging purposes.
    `static PartitionIterator` | `singletonIterator(RowIterator iterator)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getOnlyElement

          public static RowIterator getOnlyElement(PartitionIterator iter,
                                                   SinglePartitionReadCommand command)

    - #### concat

          public static PartitionIterator concat(java.util.List<PartitionIterator> iterators)

    - #### singletonIterator

          public static PartitionIterator singletonIterator(RowIterator iterator)

    - #### consume

          public static void consume(PartitionIterator iterator)

    - #### loggingIterator

          public static PartitionIterator loggingIterator(PartitionIterator iterator,
                                                          java.lang.String id)

      Wraps the provided iterator so it logs the returned rows for debugging purposes.

      Note that this is only meant for debugging as this can log a very large amount of logging at INFO.

Copyright © 2018 The Apache Software Foundation